#!/usr/bin/env python
#
# Data Quality Checker also known as DQC
#
# Read the README.md for more detailed information
#
# Barcerlona Supercomputing Center - Centro Nacional de Supercomputacion
#        Earth Sciences Department - Computational Earth Sciences
#     
#     Authors: Ivan Jose Cernicharo Ortiz (ivan.cernicharo@bsc.es)
#             -
#             -
#

import sys
import logging
import os
import subprocess
from datetime import date
from datetime import datetime
from cdo import Cdo
import numpy as np

from utils.utils_files import *

cdo = Cdo()

# check leadtimes or frequency of the variable
# This will be checked using CDO

class temporal_consistency_test:

    def __init__(self, path, time_interval):
        self.type = type
        self.path = path
        self.units = time_interval[0][0]
        self.interval = time_interval[1:][0]
        self.files = dir_or_file(path)
        try: 
            print("Checking file")
            files = self.files
        except: 
            print("Checking dir")
            files = list_files_folder(path)
        self.check(files)
    
    def diff_dates(date1, date2, units, delta):
       print(abs(date2.month - date1.month))
       if (units == month):
           if abs(date2.month-date1.month) != delta :
               print('error')
           else:
               print('ok')
       elif (units == hours):
           if abs(date2.month-date1.hour) != delta :
               print('error')
           else:
               print('ok')
       else:
           print("units must be in hours or month")
    
    def check(self):
        print('WILL BE READY SOON')
        print(self.list_files)


if __name__ == "__main__":
    sys.exit()
